com.thinkaurelius.titan.graphdb.types

## Class StandardVertexLabelMaker

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.StandardVertexLabelMaker

- All Implemented Interfaces:
    VertexLabelMaker

      public class StandardVertexLabelMaker
      extends Object
      implements VertexLabelMaker

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardVertexLabelMaker(StandardTitanTx tx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkName(String name)`
    `String` | `getName()` Returns the name of the to-be-build vertex label
    `VertexLabel` | `make()` Creates a `VertexLabel` according to the specifications of this builder.
    `StandardVertexLabelMaker` | `name(String name)`
    `StandardVertexLabelMaker` | `partition()` Enables partitioning for this vertex label.
    `StandardVertexLabelMaker` | `setStatic()` Makes this vertex label static, which means that vertices of this label cannot be modified outside of the transaction in which they were created.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardVertexLabelMaker

          public StandardVertexLabelMaker(StandardTitanTx tx)

  - ### Method Detail

    - #### checkName

          public static void checkName(String name)

    - #### name

          public StandardVertexLabelMaker name(String name)

    - #### getName

          public String getName()

      Description copied from interface: `VertexLabelMaker`
      Returns the name of the to-be-build vertex label
      Specified by:
        `getName` in interface `VertexLabelMaker`
      Returns:
        the label name

    - #### partition

          public StandardVertexLabelMaker partition()

      Description copied from interface: `VertexLabelMaker`
      Enables partitioning for this vertex label. If a vertex label is partitioned, all of its vertices are partitioned across the partitions of the graph.
      Specified by:
        `partition` in interface `VertexLabelMaker`
      Returns:
        this VertexLabelMaker

    - #### setStatic

          public StandardVertexLabelMaker setStatic()

      Description copied from interface: `VertexLabelMaker`
      Makes this vertex label static, which means that vertices of this label cannot be modified outside of the transaction in which they were created.
      Specified by:
        `setStatic` in interface `VertexLabelMaker`
      Returns:
        this VertexLabelMaker

    - #### make

          public VertexLabel make()

      Description copied from interface: `VertexLabelMaker`
      Creates a `VertexLabel` according to the specifications of this builder.
      Specified by:
        `make` in interface `VertexLabelMaker`
      Returns:
        the created vertex label

Copyright © 2012–2014. All rights reserved.